tcflow(3)

NAME
tcflow - suspect transmission or reception of data

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <termios.h>

int tcflow(int fd, int action);

DESCRIPTION
tcflow() suspends transmission or reception of data on the object referred to by fd, depending on the value of action:

TCOOFF
    suspends output.

TCOON
    restarts suspended output.

TCIOFF
    transmits a STOP character, which stops the terminal device from transmitting data to the system.

TCION
    transmits a START character, which starts the terminal device transmitting data to the system.

The default on open of a terminal file is that neither its input nor its output is suspended.

RETURN VALUE

0   on success.

-1  on failure and set errno to indicate the error.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
POSIX.1-2008.

HISTORY
POSIX.1-2001.

SEE ALSO
tcsendbreak(3), tcdrain(3), tcflush(3), termios(7)